API Reference

Retrieve All Prompt Versions

Returns the list of all versions for a prompt, sorted by version updated date in descending order.

Expands
scoring Retrieves the scoring object for each prompt version in the list.
heatmap Retrieves the heatmap object for each prompt version in the list.
balance Retrieves the balance object for each prompt version in the list.
risk Retrieves the risk object for each prompt version in the list.
Endpoint
GET https://api.zatomic.ai/v1/prompts/{promptId}/versions

// Examples
GET https://api.zatomic.ai/v1/prompts/{promptId}/versions
GET https://api.zatomic.ai/v1/prompts/{promptId}/versions?expand=scoring
GET https://api.zatomic.ai/v1/prompts/{promptId}/versions?expand=heatmap
GET https://api.zatomic.ai/v1/prompts/{promptId}/versions?expand=balance
GET https://api.zatomic.ai/v1/prompts/{promptId}/versions?expand=risk

Endpoint Response

A successful call returns a response that contains a list of prompt version objects.

HTTP Status Codes
200 OK The prompt versions were retrieved, or an empty list was returned.
500 Internal Server Error Something went wrong on Zatomic's end.
Response Body
[
   {
      "version_id": "ver_2qRzu8qzlNOMhTrini2EKCDh5r6",
      "prompt_id": "prm_2qRzu8geIvfudcJTwP0pur4TbMJ",
      "created": "2024-12-19T20:33:16.076891Z",
      "created_by": "Han Solo",
      "updated": "2024-12-19T20:39:13.026997Z",
      "updated_by": "Han Solo",
      "name": null,
      "is_primary": true,
      "content": "You are a knowledgeable and friendly assistant...",
      "variables": [
         "{{variable1}}",
         "[[variable2]]"
      ],
      "token_info": {
         "model": "gpt-5.2",
         "token_count": 0,
         "cost_per_use": 0.0,
         "cost_per_1k": 0.0,
         "cost_per_1m": 0.0
      },
      "scoring": null,
      "heatmap": null,
      "balance": null,
      "risk": null
   }
]